<template>
  <comment-editor v-model="content" />
</template>

<script>
import CommentEditor from "ChillMainAssets/vuejs/_components/CommentEditor/CommentEditor.vue";

export default {
  name: "PersonComment.vue",
  components: {
    CommentEditor,
  },
  props: ["conc"],
  computed: {
    content: {
      get() {
        return this.$props.conc.comment || "";
      },
      set(value) {
        console.log("set content", value);
        this.$store.commit("setComment", {
          conc: this.$props.conc,
          comment: value,
        });
      },
    },
  },
};
</script>

<style scoped></style>
